
package cz.karry.dop.nbmodule.dbg;

import java.io.IOException;
import java.net.Socket;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.netbeans.api.debugger.DebuggerEngine;
import org.netbeans.api.debugger.DebuggerManager;
import org.netbeans.api.debugger.Session;
import org.openide.util.RequestProcessor;


/**
 * @author ads
 *
 */
public class DebugSession implements Runnable {


    
    private AtomicReference<String> myFileName;
    
    // FIXME
    DebugSession(  ){
        
        
        throw new UnsupportedOperationException("Not supported yet.");
    }
    
    /* (non-Javadoc)
     * @see java.lang.Runnable#run()
     */
    // FIXME
    public void run() {
        throw new UnsupportedOperationException("Not supported yet.");
    }
    
    // FIXME
    public void start() {
        RequestProcessor.getDefault().post(this);
        throw new UnsupportedOperationException("Not supported yet.");
    }
        
    // FIXME
    public void stop() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    
    public String getFileName() {
        return myFileName.get();
    }
    
    private void setSessionFile( String fileName ) {
        myFileName.set( fileName );
    }
       
    
}
